diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
deleted file mode 100644
index 19228afcb..000000000
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
+++ /dev/null
@@ -1,62 +0,0 @@
-##########################################################################
-#
-# pgAdmin 4 - PostgreSQL Tools
-#
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
-# This software is released under the PostgreSQL Licence
-#
-##########################################################################
-
-from __future__ import print_function
-
-import json
-
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
-from regression.python_test_utils import test_utils as utils
-from . import utils as cast_utils
-
-
-class CastsAddTestCase(BaseTestGenerator):
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for cast node.
-        ('Check Cast Node', dict(url='/browser/cast/obj/'))
-    ]
-
-    def runTest(self):
-        """ This function will add cast under test database. """
-        super(CastsAddTestCase, self).runTest()
-        self.server_data = parent_node_dict["database"][-1]
-        self.server_id = self.server_data["server_id"]
-        self.db_id = self.server_data['db_id']
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-
-        self.data = cast_utils.get_cast_data()
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(
-                self.db_id) + '/',
-            data=json.dumps(self.data),
-            content_type='html/json')
-        self.assertEquals(response.status_code, 200)
-
-    def tearDown(self):
-        """This function disconnect the test database and drop added cast."""
-        connection = utils.get_db_connection(self.server_data['db_name'],
-                                             self.server['username'],
-                                             self.server['db_password'],
-                                             self.server['host'],
-                                             self.server['port'],
-                                             self.server['sslmode'])
-        cast_utils.drop_cast(connection, self.data["srctyp"],
-                             self.data["trgtyp"])
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
diff --git a/web/regression/.coveragerc.in b/web/regression/.coveragerc.in
index 40ced5ded..07d0b37ee 100644
--- a/web/regression/.coveragerc.in
+++ b/web/regression/.coveragerc.in
@@ -23,3 +23,7 @@ include =
     # */web/pgadmin/browser/server_groups/servers/databases/*
     # For 'tables'
     # */web/pgadmin/browser/server_groups/servers/databases/schemas/tables/*
+
+[report]
+exclude_lines =
+    pragma: no cover
